Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Modules/HeadControl/GT2005HeadControl/GT2005HeadControlBasicBehaviors.h File Reference

Declaration of basic behaviors defined in "basic-behaviors.xml". More...

`#include "Tools/Xabsl2/Xabsl2Engine/Xabsl2Engine.h"`

Include dependency graph for GT2005HeadControlBasicBehaviors.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GT2005HeadControlBasicBehavior
| Base class for all basic behaviors in the GT2004HeadControl. More...
class | GT2005BasicBehaviorDirectedScanForObstacles
| The basic behavior "directed-scan-for-obstacles". More...
class | GT2005BasicBehaviorDirectedScanForLandmarks
| The basic behavior "directed-scan-for-landmarks". More...
class | GT2005HeadControlBasicBehaviors
| Creates and registers the basic behaviors. More...
## Defines
#define | DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR(className, xmlName)
| Declares a class for a basic behavior in the GT2004HeadControl.
#define | INIT_GT2005_HEADCONTROL_BASIC_BEHAVIOR(basicBehavior) basicBehavior(errorHandler, interfaces, headControl, headPathPlanner, lastScanWasLeft, cameraInfo)
| Initializes a GT2005HeadControl basic behavior with the right parameter list.
## Functions
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookAtBall,"look-at-ball")
| classes for the basic behaviors which have neither parameters nor additional members
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookAtBallAndClosestLandmark,"look-at-ball-and-closest-landmark")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookAtMostInformativeLandmark,"look-at-most-informative-landmark")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorBeginBallSearchAtBallPositionSeen,"begin-ball-search-at-seen")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorBeginBallSearchAtBallPositionCommunicated,"begin-ball-search-at-communicated")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorBeginBallSearchAtBallPositionPropagated,"begin-ball-search-at-propagated")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookAroundAtSeenBall,"look-around-at-seen-ball")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorFindBall,"find-ball")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorReturnToBall,"return-to-ball")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorScanBackToBall,"scan-back-to-ball")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorScanAwayFromBall,"scan-away-from-ball")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorGrabBall,"grab-ball")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorGrabBallHigh,"grab-ball-high")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorReleaseBall,"release-ball")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorWaitForGrab,"wait-for-grab")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookAtCloseLandmark,"look-at-close-landmark")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorSearchForBallLeft,"search-for-ball-left")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorSearchForBallRight,"search-for-ball-right")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorHoldBall,"hold-ball")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorOpenChallenge,"open-challenge")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorNone,"none")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookLeft,"look-left")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookRight,"look-right")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorScanForObstacles,"scan-for-obstacles")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorSearchForLandmarks,"search-for-landmarks")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorSearchForLandmarksHeadLow,"search-for-landmarks-head-low")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookAtBluePinkLandmark,"look-at-blue-pink-landmark")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookStraightAhead,"look-straight-ahead")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookTowardOpponentGoal,"look-toward-opponent-goal")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookBetweenFeet,"look-between-feet")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookToStars,"look-to-stars")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorSnapAtFinger,"snap-at-finger")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookParallelToGround,"look-parallel-to-ground")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorDirect,"direct")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorStayAsForced,"stay-as-forced")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorWatchOrigin,"watch-origin")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorCalibrateHeadSpeed,"calibrate-head-speed")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorRealSlowScan,"real-slow-scan")
| DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR (GT2005BasicBehaviorLookBetweenFeetForCarriedBall,"look-between-feet-for-carried-ball")

## Detailed Description

Declaration of basic behaviors defined in "basic-behaviors.xml".

Author:
  Martin Lötzsch

Definition in file GT2005HeadControlBasicBehaviors.h.

## Define Documentation

#define DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | className,
|  | xmlName |  | ) |

| Value:
    class className : public GT2005HeadControlBasicBehavior \
    { \
    public:\
      className(Xabsl2ErrorHandler& errorHandler, HeadControlInterfaces& interfaces, GT2005HeadControl& headControl,GT2005HeadPathPlanner& headPathPlanner,bool& lastScanWasLeft,CameraInfo& cameraInfo) \
      : GT2005HeadControlBasicBehavior(xmlName, errorHandler, interfaces, headControl,headPathPlanner,lastScanWasLeft,cameraInfo) {} \
      virtual void execute();\
    };
  Declares a class for a basic behavior in the GT2004HeadControl. Parameters:
  className | The name of the basic behavior class
  xmlName | The string that is used to register the basic behavior at the engine.
Definition at line 83 of file GT2005HeadControlBasicBehaviors.h.

#define INIT_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | basicBehavior |  | ) | basicBehavior(errorHandler, interfaces, headControl, headPathPlanner, lastScanWasLeft, cameraInfo)

| Initializes a GT2005HeadControl basic behavior with the right parameter list. Definition at line 174 of file GT2005HeadControlBasicBehaviors.h. Referenced by GT2005HeadControlBasicBehaviors::GT2005HeadControlBasicBehaviors().

## Function Documentation

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookAtBall | ,
|  | "look-at-ball" |
| ) |

| classes for the basic behaviors which have neither parameters nor additional members

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookAtBallAndClosestLandmark | ,
|  | "look-at-ball-and-closest-landmark" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookAtMostInformativeLandmark | ,
|  | "look-at-most-informative-landmark" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorBeginBallSearchAtBallPositionSeen | ,
|  | "begin-ball-search-at-seen" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorBeginBallSearchAtBallPositionCommunicated | ,
|  | "begin-ball-search-at-communicated" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorBeginBallSearchAtBallPositionPropagated | ,
|  | "begin-ball-search-at-propagated" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookAroundAtSeenBall | ,
|  | "look-around-at-seen-ball" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorFindBall | ,
|  | "find-ball" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorReturnToBall | ,
|  | "return-to-ball" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorScanBackToBall | ,
|  | "scan-back-to-ball" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorScanAwayFromBall | ,
|  | "scan-away-from-ball" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorGrabBall | ,
|  | "grab-ball" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorGrabBallHigh | ,
|  | "grab-ball-high" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorReleaseBall | ,
|  | "release-ball" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorWaitForGrab | ,
|  | "wait-for-grab" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookAtCloseLandmark | ,
|  | "look-at-close-landmark" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorSearchForBallLeft | ,
|  | "search-for-ball-left" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorSearchForBallRight | ,
|  | "search-for-ball-right" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorHoldBall | ,
|  | "hold-ball" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorOpenChallenge | ,
|  | "open-challenge" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorNone | ,
|  | "none" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookLeft | ,
|  | "look-left" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookRight | ,
|  | "look-right" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorScanForObstacles | ,
|  | "scan-for-obstacles" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorSearchForLandmarks | ,
|  | "search-for-landmarks" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorSearchForLandmarksHeadLow | ,
|  | "search-for-landmarks-head-low" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookAtBluePinkLandmark | ,
|  | "look-at-blue-pink-landmark" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookStraightAhead | ,
|  | "look-straight-ahead" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookTowardOpponentGoal | ,
|  | "look-toward-opponent-goal" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookBetweenFeet | ,
|  | "look-between-feet" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookToStars | ,
|  | "look-to-stars" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorSnapAtFinger | ,
|  | "snap-at-finger" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookParallelToGround | ,
|  | "look-parallel-to-ground" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorDirect | ,
|  | "direct" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorStayAsForced | ,
|  | "stay-as-forced" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorWatchOrigin | ,
|  | "watch-origin" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorCalibrateHeadSpeed | ,
|  | "calibrate-head-speed" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorRealSlowScan | ,
|  | "real-slow-scan" |
| ) |

DECLARE_GT2005_HEADCONTROL_BASIC_BEHAVIOR | ( | GT2005BasicBehaviorLookBetweenFeetForCarriedBall | ,
|  | "look-between-feet-for-carried-ball" |
| ) |